package rpc

type Error uint

const (
	ErrorSystem Error = 11001 // 系统错误

	ErrorOrderRepeat     Error = 11002 // 重复下单
	ErrorOrderFreightFee Error = 11003 // 运费错误
	ErrorOrderSubmit     Error = 11004 // 下单失败
	ErrorOrderShipment   Error = 11005 // 无法配送
	ErrorOrderSkuPrice   Error = 11006 // 商品价格错误
	ErrorOrderAmount     Error = 11007 // 订单金额错误
)

var ErrorCodes = map[Error]string{
	ErrorSystem:          "系统错误",
	ErrorOrderRepeat:     "重复下单",
	ErrorOrderFreightFee: "运费错误",
	ErrorOrderSubmit:     "下单失败",
	ErrorOrderShipment:   "无法配送",
	ErrorOrderSkuPrice:   "商品价格错误",
	ErrorOrderAmount:     "订单金额错误",
}

func (e Error) Error() string {
	return ErrorCodes[e]
}
